summaryrefslogtreecommitdiffstats
path: root/source/l/M2Crypto
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/l/M2Crypto
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/l/M2Crypto')
-rwxr-xr-xsource/l/M2Crypto/M2Crypto.SlackBuild31
1 files changed, 21 insertions, 10 deletions
diff --git a/source/l/M2Crypto/M2Crypto.SlackBuild b/source/l/M2Crypto/M2Crypto.SlackBuild
index 5affbbcc9..583b12f18 100755
--- a/source/l/M2Crypto/M2Crypto.SlackBuild
+++ b/source/l/M2Crypto/M2Crypto.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2009 Robby Workman, Northport, Alabama, USA
-# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,9 +22,19 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.19.1
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+PKGNAM=M2Crypto
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -36,16 +46,16 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf M2Crypto-$VERSION
-tar xvf $CWD/M2Crypto-$VERSION.tar.bz2
-cd M2Crypto-$VERSION
+tar xvf $CWD/M2Crypto-$VERSION.tar.?z* || exit 1
+cd M2Crypto-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -53,7 +63,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-python setup.py install --root=$PKG
+python setup.py install --root=$PKG || exit 1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
@@ -64,7 +74,7 @@ python setup.py install --root=$PKG
mkdir -p $PKG/usr/doc/M2Crypto-$VERSION
cp -a \
- CHANGES INSTALL LICENCE PKG-INFO README doc/* \
+ CHANGES INSTALL LICENCE PKG-INFO README* doc/* \
$PKG/usr/doc/M2Crypto-$VERSION
mkdir -p $PKG/install
@@ -72,3 +82,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg -l y -c n $TMP/M2Crypto-$VERSION-$ARCH-$BUILD.txz
+